Bug 873289 - [abrt] gxneur-0.15.0-4.fc17: vasprintf: Process /usr/bin/gxneur was killed by signal 11 (SIGSEGV)
Summary: [abrt] gxneur-0.15.0-4.fc17: vasprintf: Process /usr/bin/gxneur was killed by...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gxneur
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:52ea1ae24af1708beaa567678ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-05 13:54 UTC by tavash
Modified: 2013-01-02 04:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-27 05:08:27 UTC


Attachments (Terms of Use)
File: core_backtrace (1.63 KB, text/plain)
2012-11-05 13:54 UTC, tavash
no flags Details
File: environ (794 bytes, text/plain)
2012-11-05 13:54 UTC, tavash
no flags Details
File: gxneur-no-daemon-start.sh (935 bytes, text/plain)
2012-11-05 13:54 UTC, tavash
no flags Details
File: backtrace (252.77 KB, text/plain)
2012-11-05 13:54 UTC, tavash
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-05 13:54 UTC, tavash
no flags Details
File: gconf_subtree (125 bytes, text/plain)
2012-11-05 13:54 UTC, tavash
no flags Details
File: cgroup (127 bytes, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: smolt_data (2.25 KB, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: executable (15 bytes, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: maps (25.64 KB, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: dso_list (5.55 KB, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: open_fds (274 bytes, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details
File: var_log_messages (11.52 KB, text/plain)
2012-11-05 13:55 UTC, tavash
no flags Details

Description tavash 2012-11-05 13:54:40 UTC
Description of problem:
GXNeur do not have an opprtunity to shutdown Neur daemon. The daemon can be killed via script:
http://www.lubuntu.ru/wiki/doku.php?id=how-to;faq;indikator_i_perekljuchenie_raskladki_klaviatury_v_openbox

After daemon kill smth. tries to restart smth. The result is race condition: sunsequent kill and ressurection of *Neur daemons.


Version-Release number of selected component:
gxneur-0.15.0-4.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        gxneur
crash_function: vasprintf
kernel:         3.6.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (6 frames)
: #2 vasprintf at /usr/include/bits/stdio2.h:199
: #3 g_vasprintf at gprintf.c:314
: #4 g_strdup_vprintf at gstrfuncs.c:509
: #5 g_strdup_printf at gstrfuncs.c:535
: #6 clock_check at trayicon.c:338
: #12 gtk_main at gtkmain.c:1257

Comment 1 tavash 2012-11-05 13:54:43 UTC
Created attachment 638632 [details]
File: core_backtrace

Comment 2 tavash 2012-11-05 13:54:45 UTC
Created attachment 638633 [details]
File: environ

Comment 3 tavash 2012-11-05 13:54:48 UTC
Created attachment 638634 [details]
File: gxneur-no-daemon-start.sh

Comment 4 tavash 2012-11-05 13:54:55 UTC
Created attachment 638635 [details]
File: backtrace

Comment 5 tavash 2012-11-05 13:54:57 UTC
Created attachment 638636 [details]
File: limits

Comment 6 tavash 2012-11-05 13:54:59 UTC
Created attachment 638637 [details]
File: gconf_subtree

Comment 7 tavash 2012-11-05 13:55:02 UTC
Created attachment 638638 [details]
File: cgroup

Comment 8 tavash 2012-11-05 13:55:04 UTC
Created attachment 638639 [details]
File: smolt_data

Comment 9 tavash 2012-11-05 13:55:06 UTC
Created attachment 638640 [details]
File: executable

Comment 10 tavash 2012-11-05 13:55:09 UTC
Created attachment 638641 [details]
File: maps

Comment 11 tavash 2012-11-05 13:55:12 UTC
Created attachment 638642 [details]
File: dso_list

Comment 12 tavash 2012-11-05 13:55:15 UTC
Created attachment 638643 [details]
File: proc_pid_status

Comment 13 tavash 2012-11-05 13:55:17 UTC
Created attachment 638644 [details]
File: open_fds

Comment 14 tavash 2012-11-05 13:55:19 UTC
Created attachment 638645 [details]
File: var_log_messages

Comment 15 Fedora Update System 2012-11-17 19:20:57 UTC
gxneur-0.16.0-1.fc17,xneur-0.16.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gxneur-0.16.0-1.fc17,xneur-0.16.0-1.fc17

Comment 16 Fedora Update System 2012-11-17 19:21:30 UTC
gxneur-0.16.0-1.fc18,xneur-0.16.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gxneur-0.16.0-1.fc18,xneur-0.16.0-1.fc18

Comment 17 Fedora Update System 2012-11-17 19:22:03 UTC
gxneur-0.16.0-1.fc16,xneur-0.16.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gxneur-0.16.0-1.fc16,xneur-0.16.0-1.fc16

Comment 18 Fedora Update System 2012-11-18 20:15:55 UTC
Package gxneur-0.16.0-1.fc18, xneur-0.16.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gxneur-0.16.0-1.fc18 xneur-0.16.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18441/gxneur-0.16.0-1.fc18,xneur-0.16.0-1.fc18
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2012-11-27 05:08:29 UTC
gxneur-0.16.0-1.fc18, xneur-0.16.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-01-02 04:55:42 UTC
gxneur-0.16.0-1.fc17, xneur-0.16.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-01-02 04:56:26 UTC
gxneur-0.16.0-1.fc16, xneur-0.16.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.